Build:
  1. 0
2022-06-28 10:52.40: New job: Build using linux-x86_64 in
                                []
2022-06-28 10:52.40: Will push staging image to ocurrent/opam-staging:debian-11-ocaml-4.08-flambda-i386

Dockerfile:

FROM ocurrent/opam-staging@sha256:d6559e609ee3a51dae82e7f57f760768ad18aef6799036fbc4e91f7ccd15c85f
SHELL [ "/usr/bin/linux32", "/bin/sh", "-c" ]
ENV OPAMYES="1" OPAMCONFIRMLEVEL="unsafe-yes" OPAMERRLOGLEN="0" OPAMPRECISETRACKING="1"
RUN opam switch create 4.08 --packages=ocaml-variants.4.08.1+flambda
RUN opam pin add -k version ocaml-variants 4.08.1+flambda
RUN opam install -y opam-depext
ENTRYPOINT [ "/usr/bin/linux32", "opam", "exec", "--" ]
CMD bash
COPY [ "Dockerfile", "/Dockerfile.ocaml" ]

2022-06-28 10:52.40: Using cache hint "4.08.1+flambda-i386-ocurrent/opam-staging@sha256:d6559e609ee3a51dae82e7f57f760768ad18aef6799036fbc4e91f7ccd15c85f"
2022-06-28 10:52.40: Waiting for resource in pool OCluster
2022-06-28 10:52.40: Waiting for worker...
2022-06-28 10:52.40: Got resource from pool OCluster
Building on x86-bm-9.ocamllabs.io
Sending build context to Docker daemon  2.048kB

Step 1/9 : FROM ocurrent/opam-staging@sha256:d6559e609ee3a51dae82e7f57f760768ad18aef6799036fbc4e91f7ccd15c85f
docker.io/ocurrent/opam-staging@sha256:d6559e609ee3a51dae82e7f57f760768ad18aef6799036fbc4e91f7ccd15c85f: Pulling from ocurrent/opam-staging
Digest: sha256:d6559e609ee3a51dae82e7f57f760768ad18aef6799036fbc4e91f7ccd15c85f
Status: Image is up to date for ocurrent/opam-staging@sha256:d6559e609ee3a51dae82e7f57f760768ad18aef6799036fbc4e91f7ccd15c85f
 ---> 5052d7611593
Step 2/9 : SHELL [ "/usr/bin/linux32", "/bin/sh", "-c" ]
 ---> [Warning] The requested image's platform (linux/386) does not match the detected host platform (linux/amd64) and no specific platform was requested
 ---> Running in f923f702e599
Removing intermediate container f923f702e599
 ---> b4561d3de550
Step 3/9 : ENV OPAMYES="1" OPAMCONFIRMLEVEL="unsafe-yes" OPAMERRLOGLEN="0" OPAMPRECISETRACKING="1"
 ---> [Warning] The requested image's platform (linux/386) does not match the detected host platform (linux/amd64) and no specific platform was requested
 ---> Running in 18a168106d38
Removing intermediate container 18a168106d38
 ---> 3a9edcdbde3e
Step 4/9 : RUN opam switch create 4.08 --packages=ocaml-variants.4.08.1+flambda
 ---> [Warning] The requested image's platform (linux/386) does not match the detected host platform (linux/amd64) and no specific platform was requested
 ---> Running in 1b22f25d68d2

<><> Gathering sources ><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
[ocaml-variants.4.08.1+flambda] downloaded from https://github.com/ocaml/ocaml/archive/4.08.1.tar.gz
[ocaml-variants.4.08.1+flambda/alt-signal-stack.patch] downloaded from https://github.com/ocaml/ocaml/commit/17df117b4939486d3285031900587afce5262c8c.patch

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
-> installed base-bigarray.base
-> installed base-threads.base
-> installed base-unix.base
-> installed ocaml-variants.4.08.1+flambda
-> installed ocaml-config.1
-> installed ocaml.4.08.1
Done.
# Run eval $(opam env) to update the current shell environment
Removing intermediate container 1b22f25d68d2
 ---> 017f5c8304ce
Step 5/9 : RUN opam pin add -k version ocaml-variants 4.08.1+flambda
 ---> [Warning] The requested image's platform (linux/386) does not match the detected host platform (linux/amd64) and no specific platform was requested
 ---> Running in 6ecbfcfd704b
ocaml-variants is now pinned to version 4.08.1+flambda

No package build needed.
Nothing to do.
# Run eval $(opam env) to update the current shell environment
Removing intermediate container 6ecbfcfd704b
 ---> dfea5d25015f
Step 6/9 : RUN opam install -y opam-depext
 ---> [Warning] The requested image's platform (linux/386) does not match the detected host platform (linux/amd64) and no specific platform was requested
 ---> Running in b1004482f877
The following actions will be performed:
  - install opam-depext 1.2.1-1

<><> Gathering sources ><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
[opam-depext.1.2.1-1] downloaded from https://github.com/ocaml-opam/opam-depext/releases/download/v1.2.1/opam-depext-full-1.2.1.tbz

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
-> installed opam-depext.1.2.1-1
Done.
# Run eval $(opam env) to update the current shell environment
Removing intermediate container b1004482f877
 ---> f17bd66ed9b6
Step 7/9 : ENTRYPOINT [ "/usr/bin/linux32", "opam", "exec", "--" ]
 ---> [Warning] The requested image's platform (linux/386) does not match the detected host platform (linux/amd64) and no specific platform was requested
 ---> Running in 88f18cb3bd7c
Removing intermediate container 88f18cb3bd7c
 ---> 77ccb653732b
Step 8/9 : CMD bash
 ---> [Warning] The requested image's platform (linux/386) does not match the detected host platform (linux/amd64) and no specific platform was requested
 ---> Running in 22772f7b30be
Removing intermediate container 22772f7b30be
 ---> 9d1cbe03e74c
Step 9/9 : COPY [ "Dockerfile", "/Dockerfile.ocaml" ]
 ---> 8641dcdddd13
Successfully built 7f6d4103520c
Pushing "sha256:7f6d4103520c8a3cc5b90b3c852e73d294ab2a108d8c8898966000b3fd035980" to "ocurrent/opam-staging:debian-11-ocaml-4.08-flambda-i386" as user "ocurrentbuilder"
Login Succeeded
The push refers to repository [docker.io/ocurrent/opam-staging]
816f4b52cef7: Preparing
0b114e9b7d50: Preparing
58fef367db29: Preparing
58fef367db29: Layer already exists
0b114e9b7d50: Layer already exists
816f4b52cef7: Pushed
debian-11-ocaml-4.08-flambda-i386: digest: sha256:ef0035b25b196e01abfbcdb26e234b6ffb64728074fe7f48482fc5e2c5d1a757 size: 956
Job succeeded
2022-06-28 11:12.59: Job succeeded